// SScreenMode.h: Schnittstelle fr die Klasse SScreenMode.
//
// Copyright by Andr Stein
// E-Mail: andre_stein@gmx.de, andre_stein@web.de
// http://stonemaster.port5.com
//////////////////////////////////////////////////////////////////////

#ifndef SCREENMODE_H
#define SCREENMODE_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <windows.h>

class SScreenMode  
{
public:
	SScreenMode(int width, int height, int bpp);
	SScreenMode();
	
	void reset();
	bool setDisplayMode(int width , int height , int bpp);
	
	virtual ~SScreenMode();
protected:
	DEVMODE savedMode;
	bool screenModeSet;

};

#endif // ifndef SCREENMODE_H
