// OpenGLMfc.cpp : Legt das Klassenverhalten fr die Anwendung fest.
//

#include "stdafx.h"
#include "OpenGLMfc.h"
#include <mmsystem.h>


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

const long STEP = 1000/60;

/////////////////////////////////////////////////////////////////////////////
// COpenGLMfcApp

BEGIN_MESSAGE_MAP(COpenGLMfcApp, CWinApp)
	//{{AFX_MSG_MAP(COpenGLMfcApp)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COpenGLMfcApp Konstruktion

COpenGLMfcApp::COpenGLMfcApp()
{
	// ZU ERLEDIGEN: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance platzieren
}

/////////////////////////////////////////////////////////////////////////////
// Das einzige COpenGLMfcApp-Objekt

COpenGLMfcApp theApp;

/////////////////////////////////////////////////////////////////////////////
// COpenGLMfcApp Initialisierung

BOOL COpenGLMfcApp::InitInstance()
{

	mainWindow = new CMainWindow();
	m_pMainWnd = mainWindow;
	
	CString className = AfxRegisterWndClass(
		CS_HREDRAW | CS_VREDRAW | CS_OWNDC,
		NULL,
		(HBRUSH)GetStockObject(BLACK_BRUSH),
		LoadIcon(IDR_MAINFRAME));

	mainWindow->CreateEx(
		WS_EX_APPWINDOW,
		className,
		"OpenGL",
		WS_POPUP,
		CRect(0,0,640,480),
		NULL,
		0);

	
	mainWindow->ShowWindow(SW_SHOW);
	mainWindow->SetForegroundWindow();
	mainWindow->SetFocus();
	ShowCursor(false);

	lastTime = timeGetTime();

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// COpenGLMfcApp Nachrichten-Handler




int COpenGLMfcApp::ExitInstance() 
{
	delete mainWindow;

	return CWinApp::ExitInstance();
}

int COpenGLMfcApp::Run() 
{
	for (;;)
	{
		if (PeekMessage(&m_msgCur , NULL , 0, 0, PM_NOREMOVE))
		{
			if (!PumpMessage())
			{
				return ExitInstance();
			}
		}
		else
		{
			long thisTime = timeGetTime();

			if (thisTime >= lastTime + STEP)
			{
				mainWindow->Update();
				lastTime = thisTime;
			}

		}
	}
}
