// SColorPoint.cpp: Implementierung der Klasse SColorPoint.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "stdafx.h"
#include "SColorPoint.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

SColorPoint::SColorPoint()
{
	x = 0;
	y = 0;
	color = 1;
}

SColorPoint::~SColorPoint()
{

}

SColorPoint::SColorPoint(int newX, int newY)
{
	x = newX;
	y = newY;
	color = 1;
}

void SColorPoint::setGLColor(float alpha)
{
	switch (color)
	{
	case 1:
		glColor4f(1.0,0.0,0.0,alpha);	
		break;
	case 2:
		glColor4f(0.0,1.0,0.0,alpha);
		break;
	case 3:
		glColor4f(0.0,0.0,1.0,alpha);
		break;
	case 4:
		glColor4f(0.0,1.0,1.0,alpha);
		break;
	case 5:
		glColor4f(1.0,0.0,1.0,alpha);
		break;
	case 6:
		glColor4f(1.0,1.0,0.0,alpha);
		break;
	case 7:
		glColor4f(1.0,1.0,1.0,alpha);
		break;
	}
}

bool SColorPoint::operator ==(SColorPoint rhs)
{
	return (rhs.x == x) && (rhs.y == y);
}

SColorPoint::SColorPoint(int newX, int newY, int newColor)
{
	x = newX;
	y = newY;
	color = newColor;
}
